@import '../../../../style/media.scss';

.one-menu-block {
    text-align: center;
    margin: 10px;
    padding: 10px;
    background-color: #ffffff;
    border-radius: 4px;
    display: block;
    cursor: pointer;
    min-height: 215px;
    display: flex;
    align-items: center;

    -webkit-box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.2);

    .menu-icon {
        display: inline-block;
        width: 50px;
        height: 50px;
        background-position: center;
        background-size: contain;
        background-repeat: no-repeat;
    }
    .menu-title {
        font-size: 18pt;
        color: #0075b0;
        word-break: break-word;
    }
    .menu-desc {
        font-size: 14pt;
        color: #000000;
    }
    .img-wrp {
        position: relative;
        display: inline-block;

        .badge-number {
            position: absolute;
            border-radius: 50%;
            right: -9px;
            top: -8px;
        }
    }
}

@include media-breakpoint-down(md) {
    .one-menu-block {
        .menu-title {
            font-size: 16pt;
        }
        .menu-desc {
            font-size: 12pt;
        }
    }
}

@include media-breakpoint-down(sm) {
    .one-menu-block {
        text-align: left;
        min-height: auto;

        .row {
            width: 100%;
        }
        .menu-title {
            padding-left: 5px;
            font-size: 14pt;
        }
        .menu-desc {
            padding-left: 5px;
            font-size: 12pt;
        }
        .col-rigth-text {
            padding-left: 35px;
        }
    }
}
